> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Return full detail of streams with fields including if they are computed, along with their code and parent streams



## OpenAPI

````yaml get /api/v1/streams/detailed
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/streams/detailed:
    get:
      tags:
        - admin
      summary: >-
        Return full detail of streams with fields including if they are
        computed, along with their code and parent streams
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailedStreamSchema'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/DetailedStreamSchema'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/DetailedStreamSchema'
            application/edn:
              schema:
                $ref: '#/components/schemas/DetailedStreamSchema'
components:
  schemas:
    DetailedStreamSchema:
      required:
        - streams
      type: object
      properties:
        streams:
          $ref: '#/components/schemas/DetailedStreamSchemaStreams'
      additionalProperties: false
    DetailedStreamSchemaStreams:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/DetailedStreamSchemaStreamsJava.lang.string702'
    DetailedStreamSchemaStreamsJava.lang.string702:
      required:
        - fields
      type: object
      properties:
        fields:
          $ref: >-
            #/components/schemas/DetailedStreamSchemaStreamsJava.lang.string702Fields
        computedFrom:
          type: array
          items:
            $ref: >-
              #/components/schemas/DetailedStreamSchemaStreamsJava.lang.string702ComputedFrom
      additionalProperties: false
    DetailedStreamSchemaStreamsJava.lang.string702Fields:
      type: object
      additionalProperties:
        $ref: >-
          #/components/schemas/DetailedStreamSchemaStreamsJava.lang.string702FieldsJava.lang.string703
    DetailedStreamSchemaStreamsJava.lang.string702ComputedFrom:
      required:
        - code
        - lang
        - source
      type: object
      properties:
        lang:
          type: string
        code:
          type: string
        source:
          type: string
      additionalProperties: false
    DetailedStreamSchemaStreamsJava.lang.string702FieldsJava.lang.string703:
      required:
        - required
        - seq_id
        - type
        - unit
      type: object
      properties:
        type:
          type: string
          enum:
            - UInt8
            - DateTime64(3)
            - Nullable(String)
            - Float64
            - Nullable(Int8)
            - Nullable(Bool)
            - Nullable(Int64)
            - Int8
            - UInt16
            - Int16
            - Nullable(UInt64)
            - DateTime64(6)
            - Date
            - Nullable(Date)
            - Nullable(DateTime64(3))
            - Nullable(Float64)
            - Nullable(Array(String))
            - Nullable(UInt32)
            - Array(String)
            - Bool
            - Int64
            - UInt32
            - String
            - Nullable(DateTime64(6))
            - Nullable(Float32)
            - Nullable(Int32)
            - Nullable(UInt8)
            - Int32
            - Nullable(Int16)
            - Nullable(UInt16)
            - Nullable(DateTime)
            - Float32
            - DateTime
            - UInt64
        seq_id:
          type: integer
          format: int64
        required:
          type: boolean
        unit:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````